OS3 is an 80s-style analog oscilloscope designed using (mostly) modern
hardware. It's an free hardware project, so you could build one yourself if you
wanted, or use some of its circuits in your own designs.

(NOTE that this is at an EARLY IN-PROGRESS STATE. There's nothing to build yet.
A lot of these specs are targets for electronics that haven't been designed.)

## License terms

This design rejects intellectual property. Do what you want with it. Be gay, do
crime.

## Specifications

- CRT: garden variety 2kV/8kV electrostatic non-transmission-line (designed for
  11LO2I specifically)
- Bandwidth target: 50 MHz
- Four channels
- Dual sweep
- Microprocessor driven with digital controls and on-screen display
- Expansion slot for possible future conversion into a digital/analog combiscope
- Powered probe interface with communication to set on-screen scale factor and
  display units (plus Tek 24XX-style single pin scale factor interface)

## Equipment, supplies, and skills needed to build

**DISCLAIMER:** CRT equipment is extremely dangerous, and I am not a safety
instructor. This is not a beginner's project, neither in technical build skills
nor in high voltage safety skills. Parts of this instrument operate at 8000V,
and the entire cathode control circuit and neck board operate at 2000V with
exposed conductors. These voltages are DEADLY and my instructions do not explain
every single thing you should know about handling them.

- To get it running:
  - PCB fab, up to 6 layer capability (normally only used up to 4)
  - THT and SMT assembly up to 0603 normally, 0402 + BGA on the microprocessor
    board (this one is designed for automated assembly, PCBWay can do it)
  - 3D printer, PLA is ok (PETG preferred)
  - Oven to cure potting compounds
  - Crimpers for normal 100mil headers, JST XH, and SMA (the SMA is only used to
    replace proprietary connectors on the CRT delay line - if you're omitting the
    delay line as mentioned below you can use premade SMA leads to bypass)
  - Useful but not essential: a probe that can measure up to 10kV DC.
- To get it housed:
  - Sheet metal cutting and bending (sharp 90 degree corners needed - a proper
    brake is recommended)
  - Laser cutting or equivalent for acrylic and sheet metal, for some parts for
    the CRT. These parts can be sourced from a laser cutting service.
- To get it calibrated:
  - Accurate voltage source (0.1%, 100V)
  - Fast-rise (<800ps) pulse generator
  - Clean sine wave source covering audio frequencies up to 100MHz, with an
    accurate way to confirm its amplitude - a "leveled sine wave generator"
    preferred
  - Vector network analyzer (a NanoVNA will do)

## Hard to find or obsolete parts

I've generally tried to design this system to use preferred, in-production
parts. However, a few parts are required and no longer in production. These
can usually be found if you search patiently on e.g. eBay:

- TDA9536 cathode drive amplifier. These were produced in pretty high quantity
  in the early 2000s to drive high-resolution video monitors and are widely
  available. The OS3 uses them as deflection amplifiers and for two other
  electrode control voltages (grid and focus), and needs two of them. In the
  future, a replacement module could be designed using discrete transistors,
  but due to the similarly dwindling availability of fast high-voltage BJTs
  this may prove troublesome (some very carefully driven MOSFETs may be required
  instead).
- Delay line. All analog oscilloscopes contain a delay line to lag the vertical
  axis slightly behind the horizontal, allowing you to view the event that
  caused the sweep to trigger. These are essentially just a bundle of very high
  quality cable. I used one intended for a Tektronix 7000-series instrument
  which stashes around the neck of the CRT and integrates a rotation coil; I
  recommend finding something similar. There is room on the top of the chassis
  for a flat delay line unit instead, but you will have to design your own
  rotation coil in that case. Of course, you could omit both if you wanted.
